> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cargado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook endpoint

> Permanently remove a webhook endpoint. In-flight deliveries may still complete, but
no new events will be sent to this URL.



## OpenAPI

````yaml /openapi.yml post /webhooks/endpoint/delete
openapi: 3.1.0
info:
  title: Cargado API
  version: 1.0.0
  description: Cargado's API
  termsOfService: https://cargado.com/terms/
  contact:
    email: dev-support@cargado.com
servers:
  - url: https://api.cargado.com
    description: The production Cargado API server
security: []
tags:
  - name: Border Crossings
  - name: Loads
  - name: Rates
  - name: CarrierRelationship
  - name: User
  - name: Team
  - name: Webhooks
  - name: Bids
paths:
  /webhooks/endpoint/delete:
    post:
      tags:
        - Webhooks
      summary: Delete webhook endpoint
      description: >-
        Permanently remove a webhook endpoint. In-flight deliveries may still
        complete, but

        no new events will be sent to this URL.
      operationId: DeleteEndpoint
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteWebhookEndpointBody'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                required:
                  - success
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
      security:
        - apiKey: []
components:
  schemas:
    DeleteWebhookEndpointBody:
      properties:
        endpointId:
          type: string
          description: ID of the endpoint to delete
          minLength: 1
          maxLength: 256
      required:
        - endpointId
      type: object
      additionalProperties: true
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key

````